Bug 131983 - streams sometimes won't play ("No suitable demux plugin")
Summary: streams sometimes won't play ("No suitable demux plugin")
Status: RESOLVED NOT A BUG
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 1.4.2-beta1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-07 06:55 UTC by Ben Saylor
Modified: 2007-05-19 16:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Saylor 2006-08-07 06:55:52 UTC
Version:           1.4.2-beta1 (using KDE 3.5.3, Debian Package 4:3.5.3-1 (testing/unstable))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.15-rt15

Often when I try to play a stream, I get a short delay and then the message:

Error Loading Media
No suitable demux plugin. This often means that the file format is not supported.
http://stillstream.com:8000/ [or whichever stream]

After one or more repeated attempts, the stream will play.  I am using libxine 1.1.1-2 from Debian testing.
Comment 1 Mark Kretschmann 2006-08-07 08:23:46 UTC
That's a known xine-lib issue.
Comment 2 Daniel Hahler 2007-05-19 16:37:41 UTC
What is the issue exactly?
Is there anything that can be done to fix this?
Maybe amarok could try to e.g. "restart the stream" 3 times, before failing completely - if this is a known, wrong error with libxine.

This bug in Launchpad for Ubuntu: https://bugs.launchpad.net/ubuntu/+source/amarok/+bug/94047
Comment 3 Mark Kretschmann 2007-05-19 16:56:36 UTC
> What is the issue exactly? 

xinelib bug

> Is there anything that can be done to fix this?

No.

Wait until xinelib 1.2 release; they're trying to fix this issue.